Fetch Registration Status
curl --request GET \
--url https://api.jtl-cloud.com/erp/authentication/{registrationId} \
--header 'Authorization: Bearer <token>' \
--header 'x-challengecode: <x-challengecode>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/authentication/{registrationId}"
headers = {
"x-challengecode": "<x-challengecode>",
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-challengecode': '<x-challengecode>',
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.jtl-cloud.com/erp/authentication/{registrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"RequestStatusInfo": {
"AppId": "myApp/V3",
"RegistrationRequestId": "295C196B-CBB0-4E76-9050-ECEC3356DDA6"
},
"Token": {
"ApiKey": "FB622234-98A7-46FA-A01B-06C9D0971AAF"
},
"GrantedScopes": ""
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}appRegistration
Fetch Registration Status
Obtain information about a registration request
GET
/
authentication
/
{registrationId}
Fetch Registration Status
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
You can enter any custom value here. The X-ChallengeCode is used during app registration and must be the same for all registration requests. The maximum length is 30 characters.
The tenant ID for the target ERP instance.
Path Parameters
Unique identifier of the registration request
Response
Registration information (containing the current status of the registration process)
Was this page helpful?
⌘I